module entities;

/**
 * Generated from $(LINK http://www.w3.org/TR/html5/entities.json)
 * Standards: $(LINK http://www.w3.org/TR/html5/syntax.html#named-character-references)
 */
immutable string[string] characterEntities;

static this()
{
	characterEntities = [
		"Aacute": x"00C1",
		"aacute": x"00E1",
		"Abreve": x"0102",
		"abreve": x"0103",
		"acd": x"223F",
		"acE": x"223E0333",
		"Acirc": x"00C2",
		"acirc": x"00E2",
		"ac": x"223E",
		"acute": x"00B4",
		"Acy": x"0410",
		"acy": x"0430",
		"AElig": x"00C6",
		"aelig": x"00E6",
		"Afr": x"D835DD04",
		"afr": x"D835DD1E",
		"af": x"2061",
		"Agrave": x"00C0",
		"agrave": x"00E0",
		"alefsym": x"2135",
		"aleph": x"2135",
		"Alpha": x"0391",
		"alpha": x"03B1",
		"Amacr": x"0100",
		"amacr": x"0101",
		"amalg": x"2A3F",
		"amp": x"0026",
		"AMP": x"0026",
		"andand": x"2A55",
		"andd": x"2A5C",
		"andslope": x"2A58",
		"and": x"2227",
		"And": x"2A53",
		"andv": x"2A5A",
		"ange": x"29A4",
		"angle": x"2220",
		"angmsdaa": x"29A8",
		"angmsdab": x"29A9",
		"angmsdac": x"29AA",
		"angmsdad": x"29AB",
		"angmsdae": x"29AC",
		"angmsdaf": x"29AD",
		"angmsdag": x"29AE",
		"angmsdah": x"29AF",
		"angmsd": x"2221",
		"angrt": x"221F",
		"angrtvbd": x"299D",
		"angrtvb": x"22BE",
		"angsph": x"2222",
		"angst": x"00C5",
		"ang": x"2220",
		"angzarr": x"237C",
		"Aogon": x"0104",
		"aogon": x"0105",
		"Aopf": x"D835DD38",
		"aopf": x"D835DD52",
		"apacir": x"2A6F",
		"ape": x"224A",
		"apE": x"2A70",
		"apid": x"224B",
		"apos": x"0027",
		"ApplyFunction": x"2061",
		"approxeq": x"224A",
		"approx": x"2248",
		"ap": x"2248",
		"Aring": x"00C5",
		"aring": x"00E5",
		"Ascr": x"D835DC9C",
		"ascr": x"D835DCB6",
		"Assign": x"2254",
		"ast": x"002A",
		"asympeq": x"224D",
		"asymp": x"2248",
		"Atilde": x"00C3",
		"atilde": x"00E3",
		"Auml": x"00C4",
		"auml": x"00E4",
		"awconint": x"2233",
		"awint": x"2A11",
		"backcong": x"224C",
		"backepsilon": x"03F6",
		"backprime": x"2035",
		"backsimeq": x"22CD",
		"backsim": x"223D",
		"Backslash": x"2216",
		"barvee": x"22BD",
		"Barv": x"2AE7",
		"barwedge": x"2305",
		"barwed": x"2305",
		"Barwed": x"2306",
		"bbrktbrk": x"23B6",
		"bbrk": x"23B5",
		"bcong": x"224C",
		"Bcy": x"0411",
		"bcy": x"0431",
		"bdquo": x"201E",
		"because": x"2235",
		"Because": x"2235",
		"becaus": x"2235",
		"bemptyv": x"29B0",
		"bepsi": x"03F6",
		"Bernoullis": x"212C",
		"bernou": x"212C",
		"Beta": x"0392",
		"beta": x"03B2",
		"beth": x"2136",
		"between": x"226C",
		"Bfr": x"D835DD05",
		"bfr": x"D835DD1F",
		"bigcap": x"22C2",
		"bigcirc": x"25EF",
		"bigcup": x"22C3",
		"bigodot": x"2A00",
		"bigoplus": x"2A01",
		"bigotimes": x"2A02",
		"bigsqcup": x"2A06",
		"bigstar": x"2605",
		"bigtriangledown": x"25BD",
		"bigtriangleup": x"25B3",
		"biguplus": x"2A04",
		"bigvee": x"22C1",
		"bigwedge": x"22C0",
		"bkarow": x"290D",
		"blacklozenge": x"29EB",
		"blacksquare": x"25AA",
		"blacktriangledown": x"25BE",
		"blacktriangleleft": x"25C2",
		"blacktriangleright": x"25B8",
		"blacktriangle": x"25B4",
		"blank": x"2423",
		"blk12": x"2592",
		"blk14": x"2591",
		"blk34": x"2593",
		"block": x"2588",
		"bnequiv": x"226120E5",
		"bne": x"003D20E5",
		"bnot": x"2310",
		"bNot": x"2AED",
		"Bopf": x"D835DD39",
		"bopf": x"D835DD53",
		"bottom": x"22A5",
		"bot": x"22A5",
		"bowtie": x"22C8",
		"boxbox": x"29C9",
		"boxdl": x"2510",
		"boxdL": x"2555",
		"boxDl": x"2556",
		"boxDL": x"2557",
		"boxdr": x"250C",
		"boxdR": x"2552",
		"boxDr": x"2553",
		"boxDR": x"2554",
		"boxhd": x"252C",
		"boxHd": x"2564",
		"boxhD": x"2565",
		"boxHD": x"2566",
		"boxh": x"2500",
		"boxH": x"2550",
		"boxhu": x"2534",
		"boxHu": x"2567",
		"boxhU": x"2568",
		"boxHU": x"2569",
		"boxminus": x"229F",
		"boxplus": x"229E",
		"boxtimes": x"22A0",
		"boxul": x"2518",
		"boxuL": x"255B",
		"boxUl": x"255C",
		"boxUL": x"255D",
		"boxur": x"2514",
		"boxuR": x"2558",
		"boxUr": x"2559",
		"boxUR": x"255A",
		"boxvh": x"253C",
		"boxvH": x"256A",
		"boxVh": x"256B",
		"boxVH": x"256C",
		"boxvl": x"2524",
		"boxvL": x"2561",
		"boxVl": x"2562",
		"boxVL": x"2563",
		"boxvr": x"251C",
		"boxvR": x"255E",
		"boxVr": x"255F",
		"boxVR": x"2560",
		"boxv": x"2502",
		"boxV": x"2551",
		"bprime": x"2035",
		"breve": x"02D8",
		"Breve": x"02D8",
		"brvbar": x"00A6",
		"Bscr": x"212C",
		"bscr": x"D835DCB7",
		"bsemi": x"204F",
		"bsime": x"22CD",
		"bsim": x"223D",
		"bsolb": x"29C5",
		"bsolhsub": x"27C8",
		"bsol": x"005C",
		"bullet": x"2022",
		"bull": x"2022",
		"Bumpeq": x"224E",
		"bumpeq": x"224F",
		"bumpe": x"224F",
		"bumpE": x"2AAE",
		"bump": x"224E",
		"Cacute": x"0106",
		"cacute": x"0107",
		"capand": x"2A44",
		"capbrcup": x"2A49",
		"capcap": x"2A4B",
		"capcup": x"2A47",
		"capdot": x"2A40",
		"CapitalDifferentialD": x"2145",
		"caps": x"2229FE00",
		"cap": x"2229",
		"Cap": x"22D2",
		"caret": x"2041",
		"caron": x"02C7",
		"Cayleys": x"212D",
		"ccaps": x"2A4D",
		"Ccaron": x"010C",
		"ccaron": x"010D",
		"Ccedil": x"00C7",
		"ccedil": x"00E7",
		"Ccirc": x"0108",
		"ccirc": x"0109",
		"Cconint": x"2230",
		"ccupssm": x"2A50",
		"ccups": x"2A4C",
		"Cdot": x"010A",
		"cdot": x"010B",
		"Cedilla": x"00B8",
		"cedil": x"00B8",
		"cemptyv": x"29B2",
		"centerdot": x"00B7",
		"CenterDot": x"00B7",
		"cent": x"00A2",
		"Cfr": x"212D",
		"cfr": x"D835DD20",
		"CHcy": x"0427",
		"chcy": x"0447",
		"checkmark": x"2713",
		"check": x"2713",
		"Chi": x"03A7",
		"chi": x"03C7",
		"circeq": x"2257",
		"circlearrowleft": x"21BA",
		"circlearrowright": x"21BB",
		"circledast": x"229B",
		"circledcirc": x"229A",
		"circleddash": x"229D",
		"CircleDot": x"2299",
		"circledR": x"00AE",
		"circledS": x"24C8",
		"CircleMinus": x"2296",
		"CirclePlus": x"2295",
		"CircleTimes": x"2297",
		"circ": x"02C6",
		"cire": x"2257",
		"cirE": x"29C3",
		"cirfnint": x"2A10",
		"cirmid": x"2AEF",
		"cirscir": x"29C2",
		"cir": x"25CB",
		"ClockwiseContourIntegral": x"2232",
		"CloseCurlyDoubleQuote": x"201D",
		"CloseCurlyQuote": x"2019",
		"clubs": x"2663",
		"clubsuit": x"2663",
		"coloneq": x"2254",
		"colone": x"2254",
		"Colone": x"2A74",
		"colon": x"003A",
		"Colon": x"2237",
		"commat": x"0040",
		"comma": x"002C",
		"compfn": x"2218",
		"complement": x"2201",
		"complexes": x"2102",
		"comp": x"2201",
		"congdot": x"2A6D",
		"Congruent": x"2261",
		"cong": x"2245",
		"conint": x"222E",
		"Conint": x"222F",
		"ContourIntegral": x"222E",
		"Copf": x"2102",
		"copf": x"D835DD54",
		"coprod": x"2210",
		"Coproduct": x"2210",
		"copysr": x"2117",
		"copy": x"00A9",
		"COPY": x"00A9",
		"CounterClockwiseContourIntegral": x"2233",
		"crarr": x"21B5",
		"cross": x"2717",
		"Cross": x"2A2F",
		"Cscr": x"D835DC9E",
		"cscr": x"D835DCB8",
		"csube": x"2AD1",
		"csub": x"2ACF",
		"csupe": x"2AD2",
		"csup": x"2AD0",
		"ctdot": x"22EF",
		"cudarrl": x"2938",
		"cudarrr": x"2935",
		"cuepr": x"22DE",
		"cuesc": x"22DF",
		"cularrp": x"293D",
		"cularr": x"21B6",
		"cupbrcap": x"2A48",
		"CupCap": x"224D",
		"cupcap": x"2A46",
		"cupcup": x"2A4A",
		"cupdot": x"228D",
		"cupor": x"2A45",
		"cups": x"222AFE00",
		"cup": x"222A",
		"Cup": x"22D3",
		"curarrm": x"293C",
		"curarr": x"21B7",
		"curlyeqprec": x"22DE",
		"curlyeqsucc": x"22DF",
		"curlyvee": x"22CE",
		"curlywedge": x"22CF",
		"curren": x"00A4",
		"curvearrowleft": x"21B6",
		"curvearrowright": x"21B7",
		"cuvee": x"22CE",
		"cuwed": x"22CF",
		"cwconint": x"2232",
		"cwint": x"2231",
		"cylcty": x"232D",
		"dagger": x"2020",
		"Dagger": x"2021",
		"daleth": x"2138",
		"darr": x"2193",
		"Darr": x"21A1",
		"dArr": x"21D3",
		"dash": x"2010",
		"dashv": x"22A3",
		"Dashv": x"2AE4",
		"dbkarow": x"290F",
		"dblac": x"02DD",
		"Dcaron": x"010E",
		"dcaron": x"010F",
		"Dcy": x"0414",
		"dcy": x"0434",
		"ddagger": x"2021",
		"ddarr": x"21CA",
		"DDotrahd": x"2911",
		"ddotseq": x"2A77",
		"DD": x"2145",
		"dd": x"2146",
		"deg": x"00B0",
		"Delta": x"0394",
		"delta": x"03B4",
		"Del": x"2207",
		"demptyv": x"29B1",
		"dfisht": x"297F",
		"Dfr": x"D835DD07",
		"dfr": x"D835DD21",
		"dharl": x"21C3",
		"dharr": x"21C2",
		"dHar": x"2965",
		"DiacriticalAcute": x"00B4",
		"DiacriticalDot": x"02D9",
		"DiacriticalDoubleAcute": x"02DD",
		"DiacriticalGrave": x"0060",
		"DiacriticalTilde": x"02DC",
		"diamondsuit": x"2666",
		"diamond": x"22C4",
		"Diamond": x"22C4",
		"diams": x"2666",
		"diam": x"22C4",
		"die": x"00A8",
		"DifferentialD": x"2146",
		"digamma": x"03DD",
		"disin": x"22F2",
		"divideontimes": x"22C7",
		"divide": x"00F7",
		"divonx": x"22C7",
		"div": x"00F7",
		"DJcy": x"0402",
		"djcy": x"0452",
		"dlcorn": x"231E",
		"dlcrop": x"230D",
		"dollar": x"0024",
		"Dopf": x"D835DD3B",
		"dopf": x"D835DD55",
		"DotDot": x"20DC",
		"doteqdot": x"2251",
		"doteq": x"2250",
		"DotEqual": x"2250",
		"dotminus": x"2238",
		"dotplus": x"2214",
		"dotsquare": x"22A1",
		"Dot": x"00A8",
		"dot": x"02D9",
		"doublebarwedge": x"2306",
		"DoubleContourIntegral": x"222F",
		"DoubleDot": x"00A8",
		"DoubleDownArrow": x"21D3",
		"DoubleLeftArrow": x"21D0",
		"DoubleLeftRightArrow": x"21D4",
		"DoubleLeftTee": x"2AE4",
		"DoubleLongLeftArrow": x"27F8",
		"DoubleLongLeftRightArrow": x"27FA",
		"DoubleLongRightArrow": x"27F9",
		"DoubleRightArrow": x"21D2",
		"DoubleRightTee": x"22A8",
		"DoubleUpArrow": x"21D1",
		"DoubleUpDownArrow": x"21D5",
		"DoubleVerticalBar": x"2225",
		"DownArrowBar": x"2913",
		"downarrow": x"2193",
		"DownArrow": x"2193",
		"Downarrow": x"21D3",
		"DownArrowUpArrow": x"21F5",
		"DownBreve": x"0311",
		"downdownarrows": x"21CA",
		"downharpoonleft": x"21C3",
		"downharpoonright": x"21C2",
		"DownLeftRightVector": x"2950",
		"DownLeftTeeVector": x"295E",
		"DownLeftVectorBar": x"2956",
		"DownLeftVector": x"21BD",
		"DownRightTeeVector": x"295F",
		"DownRightVectorBar": x"2957",
		"DownRightVector": x"21C1",
		"DownTeeArrow": x"21A7",
		"DownTee": x"22A4",
		"drbkarow": x"2910",
		"drcorn": x"231F",
		"drcrop": x"230C",
		"Dscr": x"D835DC9F",
		"dscr": x"D835DCB9",
		"DScy": x"0405",
		"dscy": x"0455",
		"dsol": x"29F6",
		"Dstrok": x"0110",
		"dstrok": x"0111",
		"dtdot": x"22F1",
		"dtrif": x"25BE",
		"dtri": x"25BF",
		"duarr": x"21F5",
		"duhar": x"296F",
		"dwangle": x"29A6",
		"DZcy": x"040F",
		"dzcy": x"045F",
		"dzigrarr": x"27FF",
		"Eacute": x"00C9",
		"eacute": x"00E9",
		"easter": x"2A6E",
		"Ecaron": x"011A",
		"ecaron": x"011B",
		"Ecirc": x"00CA",
		"ecirc": x"00EA",
		"ecir": x"2256",
		"ecolon": x"2255",
		"Ecy": x"042D",
		"ecy": x"044D",
		"eDDot": x"2A77",
		"Edot": x"0116",
		"edot": x"0117",
		"eDot": x"2251",
		"ee": x"2147",
		"efDot": x"2252",
		"Efr": x"D835DD08",
		"efr": x"D835DD22",
		"Egrave": x"00C8",
		"egrave": x"00E8",
		"egsdot": x"2A98",
		"egs": x"2A96",
		"eg": x"2A9A",
		"Element": x"2208",
		"elinters": x"23E7",
		"ell": x"2113",
		"elsdot": x"2A97",
		"els": x"2A95",
		"el": x"2A99",
		"Emacr": x"0112",
		"emacr": x"0113",
		"emptyset": x"2205",
		"EmptySmallSquare": x"25FB",
		"empty": x"2205",
		"EmptyVerySmallSquare": x"25AB",
		"emptyv": x"2205",
		"emsp13": x"2004",
		"emsp14": x"2005",
		"emsp": x"2003",
		"ENG": x"014A",
		"eng": x"014B",
		"ensp": x"2002",
		"Eogon": x"0118",
		"eogon": x"0119",
		"Eopf": x"D835DD3C",
		"eopf": x"D835DD56",
		"eparsl": x"29E3",
		"epar": x"22D5",
		"eplus": x"2A71",
		"Epsilon": x"0395",
		"epsilon": x"03B5",
		"epsi": x"03B5",
		"epsiv": x"03F5",
		"eqcirc": x"2256",
		"eqcolon": x"2255",
		"eqsim": x"2242",
		"eqslantgtr": x"2A96",
		"eqslantless": x"2A95",
		"equals": x"003D",
		"EqualTilde": x"2242",
		"Equal": x"2A75",
		"equest": x"225F",
		"Equilibrium": x"21CC",
		"equivDD": x"2A78",
		"equiv": x"2261",
		"eqvparsl": x"29E5",
		"erarr": x"2971",
		"erDot": x"2253",
		"escr": x"212F",
		"Escr": x"2130",
		"esdot": x"2250",
		"esim": x"2242",
		"Esim": x"2A73",
		"Eta": x"0397",
		"eta": x"03B7",
		"ETH": x"00D0",
		"eth": x"00F0",
		"Euml": x"00CB",
		"euml": x"00EB",
		"euro": x"20AC",
		"excl": x"0021",
		"Exists": x"2203",
		"exist": x"2203",
		"expectation": x"2130",
		"exponentiale": x"2147",
		"ExponentialE": x"2147",
		"fallingdotseq": x"2252",
		"Fcy": x"0424",
		"fcy": x"0444",
		"female": x"2640",
		"ffilig": x"FB03",
		"fflig": x"FB00",
		"ffllig": x"FB04",
		"Ffr": x"D835DD09",
		"ffr": x"D835DD23",
		"filig": x"FB01",
		"FilledSmallSquare": x"25FC",
		"FilledVerySmallSquare": x"25AA",
		"fjlig": x"0066006A",
		"flat": x"266D",
		"fllig": x"FB02",
		"fltns": x"25B1",
		"fnof": x"0192",
		"Fopf": x"D835DD3D",
		"fopf": x"D835DD57",
		"forall": x"2200",
		"ForAll": x"2200",
		"fork": x"22D4",
		"forkv": x"2AD9",
		"Fouriertrf": x"2131",
		"fpartint": x"2A0D",
		"frac12": x"00BD",
		"frac13": x"2153",
		"frac14": x"00BC",
		"frac15": x"2155",
		"frac16": x"2159",
		"frac18": x"215B",
		"frac23": x"2154",
		"frac25": x"2156",
		"frac34": x"00BE",
		"frac35": x"2157",
		"frac38": x"215C",
		"frac45": x"2158",
		"frac56": x"215A",
		"frac58": x"215D",
		"frac78": x"215E",
		"frasl": x"2044",
		"frown": x"2322",
		"Fscr": x"2131",
		"fscr": x"D835DCBB",
		"gacute": x"01F5",
		"Gammad": x"03DC",
		"gammad": x"03DD",
		"Gamma": x"0393",
		"gamma": x"03B3",
		"gap": x"2A86",
		"Gbreve": x"011E",
		"gbreve": x"011F",
		"Gcedil": x"0122",
		"Gcirc": x"011C",
		"gcirc": x"011D",
		"Gcy": x"0413",
		"gcy": x"0433",
		"Gdot": x"0120",
		"gdot": x"0121",
		"gel": x"22DB",
		"gEl": x"2A8C",
		"geqq": x"2267",
		"geqslant": x"2A7E",
		"geq": x"2265",
		"gescc": x"2AA9",
		"gesdotol": x"2A84",
		"gesdoto": x"2A82",
		"gesdot": x"2A80",
		"gesles": x"2A94",
		"gesl": x"22DBFE00",
		"ges": x"2A7E",
		"ge": x"2265",
		"gE": x"2267",
		"Gfr": x"D835DD0A",
		"gfr": x"D835DD24",
		"ggg": x"22D9",
		"gg": x"226B",
		"Gg": x"22D9",
		"gimel": x"2137",
		"GJcy": x"0403",
		"gjcy": x"0453",
		"gla": x"2AA5",
		"glE": x"2A92",
		"glj": x"2AA4",
		"gl": x"2277",
		"gnapprox": x"2A8A",
		"gnap": x"2A8A",
		"gneqq": x"2269",
		"gneq": x"2A88",
		"gnE": x"2269",
		"gne": x"2A88",
		"gnsim": x"22E7",
		"Gopf": x"D835DD3E",
		"gopf": x"D835DD58",
		"grave": x"0060",
		"GreaterEqualLess": x"22DB",
		"GreaterEqual": x"2265",
		"GreaterFullEqual": x"2267",
		"GreaterGreater": x"2AA2",
		"GreaterLess": x"2277",
		"GreaterSlantEqual": x"2A7E",
		"GreaterTilde": x"2273",
		"gscr": x"210A",
		"Gscr": x"D835DCA2",
		"gsime": x"2A8E",
		"gsiml": x"2A90",
		"gsim": x"2273",
		"gtcc": x"2AA7",
		"gtcir": x"2A7A",
		"gtdot": x"22D7",
		"gtlPar": x"2995",
		"gtquest": x"2A7C",
		"gtrapprox": x"2A86",
		"gtrarr": x"2978",
		"gtrdot": x"22D7",
		"gtreqless": x"22DB",
		"gtreqqless": x"2A8C",
		"gtrless": x"2277",
		"gtrsim": x"2273",
		"gt": x"003E",
		"GT": x"003E",
		"Gt": x"226B",
		"gvertneqq": x"2269FE00",
		"gvnE": x"2269FE00",
		"Hacek": x"02C7",
		"hairsp": x"200A",
		"half": x"00BD",
		"hamilt": x"210B",
		"HARDcy": x"042A",
		"hardcy": x"044A",
		"harrcir": x"2948",
		"harr": x"2194",
		"hArr": x"21D4",
		"harrw": x"21AD",
		"Hat": x"005E",
		"hbar": x"210F",
		"Hcirc": x"0124",
		"hcirc": x"0125",
		"hearts": x"2665",
		"heartsuit": x"2665",
		"hellip": x"2026",
		"hercon": x"22B9",
		"Hfr": x"210C",
		"hfr": x"D835DD25",
		"HilbertSpace": x"210B",
		"hksearow": x"2925",
		"hkswarow": x"2926",
		"hoarr": x"21FF",
		"homtht": x"223B",
		"hookleftarrow": x"21A9",
		"hookrightarrow": x"21AA",
		"Hopf": x"210D",
		"hopf": x"D835DD59",
		"horbar": x"2015",
		"HorizontalLine": x"2500",
		"Hscr": x"210B",
		"hscr": x"D835DCBD",
		"hslash": x"210F",
		"Hstrok": x"0126",
		"hstrok": x"0127",
		"HumpDownHump": x"224E",
		"HumpEqual": x"224F",
		"hybull": x"2043",
		"hyphen": x"2010",
		"Iacute": x"00CD",
		"iacute": x"00ED",
		"Icirc": x"00CE",
		"icirc": x"00EE",
		"ic": x"2063",
		"Icy": x"0418",
		"icy": x"0438",
		"Idot": x"0130",
		"IEcy": x"0415",
		"iecy": x"0435",
		"iexcl": x"00A1",
		"iff": x"21D4",
		"Ifr": x"2111",
		"ifr": x"D835DD26",
		"Igrave": x"00CC",
		"igrave": x"00EC",
		"iiiint": x"2A0C",
		"iiint": x"222D",
		"iinfin": x"29DC",
		"iiota": x"2129",
		"ii": x"2148",
		"IJlig": x"0132",
		"ijlig": x"0133",
		"Imacr": x"012A",
		"imacr": x"012B",
		"image": x"2111",
		"ImaginaryI": x"2148",
		"imagline": x"2110",
		"imagpart": x"2111",
		"imath": x"0131",
		"imof": x"22B7",
		"imped": x"01B5",
		"Implies": x"21D2",
		"Im": x"2111",
		"incare": x"2105",
		"infintie": x"29DD",
		"infin": x"221E",
		"inodot": x"0131",
		"intcal": x"22BA",
		"integers": x"2124",
		"Integral": x"222B",
		"intercal": x"22BA",
		"Intersection": x"22C2",
		"intlarhk": x"2A17",
		"intprod": x"2A3C",
		"int": x"222B",
		"Int": x"222C",
		"in": x"2208",
		"InvisibleComma": x"2063",
		"InvisibleTimes": x"2062",
		"IOcy": x"0401",
		"iocy": x"0451",
		"Iogon": x"012E",
		"iogon": x"012F",
		"Iopf": x"D835DD40",
		"iopf": x"D835DD5A",
		"Iota": x"0399",
		"iota": x"03B9",
		"iprod": x"2A3C",
		"iquest": x"00BF",
		"Iscr": x"2110",
		"iscr": x"D835DCBE",
		"isindot": x"22F5",
		"isinE": x"22F9",
		"isins": x"22F4",
		"isinsv": x"22F3",
		"isin": x"2208",
		"isinv": x"2208",
		"Itilde": x"0128",
		"itilde": x"0129",
		"it": x"2062",
		"Iukcy": x"0406",
		"iukcy": x"0456",
		"Iuml": x"00CF",
		"iuml": x"00EF",
		"Jcirc": x"0134",
		"jcirc": x"0135",
		"Jcy": x"0419",
		"jcy": x"0439",
		"Jfr": x"D835DD0D",
		"jfr": x"D835DD27",
		"jmath": x"0237",
		"Jopf": x"D835DD41",
		"jopf": x"D835DD5B",
		"Jscr": x"D835DCA5",
		"jscr": x"D835DCBF",
		"Jsercy": x"0408",
		"jsercy": x"0458",
		"Jukcy": x"0404",
		"jukcy": x"0454",
		"Kappa": x"039A",
		"kappa": x"03BA",
		"kappav": x"03F0",
		"Kcedil": x"0136",
		"kcedil": x"0137",
		"Kcy": x"041A",
		"kcy": x"043A",
		"Kfr": x"D835DD0E",
		"kfr": x"D835DD28",
		"kgreen": x"0138",
		"KHcy": x"0425",
		"khcy": x"0445",
		"KJcy": x"040C",
		"kjcy": x"045C",
		"Kopf": x"D835DD42",
		"kopf": x"D835DD5C",
		"Kscr": x"D835DCA6",
		"kscr": x"D835DCC0",
		"lAarr": x"21DA",
		"Lacute": x"0139",
		"lacute": x"013A",
		"laemptyv": x"29B4",
		"lagran": x"2112",
		"Lambda": x"039B",
		"lambda": x"03BB",
		"langd": x"2991",
		"langle": x"27E8",
		"lang": x"27E8",
		"Lang": x"27EA",
		"Laplacetrf": x"2112",
		"lap": x"2A85",
		"laquo": x"00AB",
		"larrbfs": x"291F",
		"larrb": x"21E4",
		"larrfs": x"291D",
		"larrhk": x"21A9",
		"larrlp": x"21AB",
		"larrpl": x"2939",
		"larrsim": x"2973",
		"larrtl": x"21A2",
		"larr": x"2190",
		"Larr": x"219E",
		"lArr": x"21D0",
		"latail": x"2919",
		"lAtail": x"291B",
		"lates": x"2AADFE00",
		"late": x"2AAD",
		"lat": x"2AAB",
		"lbarr": x"290C",
		"lBarr": x"290E",
		"lbbrk": x"2772",
		"lbrace": x"007B",
		"lbrack": x"005B",
		"lbrke": x"298B",
		"lbrksld": x"298F",
		"lbrkslu": x"298D",
		"Lcaron": x"013D",
		"lcaron": x"013E",
		"Lcedil": x"013B",
		"lcedil": x"013C",
		"lceil": x"2308",
		"lcub": x"007B",
		"Lcy": x"041B",
		"lcy": x"043B",
		"ldca": x"2936",
		"ldquor": x"201E",
		"ldquo": x"201C",
		"ldrdhar": x"2967",
		"ldrushar": x"294B",
		"ldsh": x"21B2",
		"LeftAngleBracket": x"27E8",
		"LeftArrowBar": x"21E4",
		"LeftArrowRightArrow": x"21C6",
		"leftarrowtail": x"21A2",
		"leftarrow": x"2190",
		"LeftArrow": x"2190",
		"Leftarrow": x"21D0",
		"LeftCeiling": x"2308",
		"LeftDoubleBracket": x"27E6",
		"LeftDownTeeVector": x"2961",
		"LeftDownVectorBar": x"2959",
		"LeftDownVector": x"21C3",
		"LeftFloor": x"230A",
		"leftharpoondown": x"21BD",
		"leftharpoonup": x"21BC",
		"leftleftarrows": x"21C7",
		"leftrightarrows": x"21C6",
		"leftrightarrow": x"2194",
		"LeftRightArrow": x"2194",
		"Leftrightarrow": x"21D4",
		"leftrightharpoons": x"21CB",
		"leftrightsquigarrow": x"21AD",
		"LeftRightVector": x"294E",
		"LeftTeeArrow": x"21A4",
		"LeftTee": x"22A3",
		"LeftTeeVector": x"295A",
		"leftthreetimes": x"22CB",
		"LeftTriangleBar": x"29CF",
		"LeftTriangleEqual": x"22B4",
		"LeftTriangle": x"22B2",
		"LeftUpDownVector": x"2951",
		"LeftUpTeeVector": x"2960",
		"LeftUpVectorBar": x"2958",
		"LeftUpVector": x"21BF",
		"LeftVectorBar": x"2952",
		"LeftVector": x"21BC",
		"leg": x"22DA",
		"lEg": x"2A8B",
		"leqq": x"2266",
		"leqslant": x"2A7D",
		"leq": x"2264",
		"lescc": x"2AA8",
		"lesdotor": x"2A83",
		"lesdoto": x"2A81",
		"lesdot": x"2A7F",
		"lesges": x"2A93",
		"lesg": x"22DAFE00",
		"lessapprox": x"2A85",
		"lessdot": x"22D6",
		"lesseqgtr": x"22DA",
		"lesseqqgtr": x"2A8B",
		"LessEqualGreater": x"22DA",
		"LessFullEqual": x"2266",
		"LessGreater": x"2276",
		"lessgtr": x"2276",
		"LessLess": x"2AA1",
		"lesssim": x"2272",
		"LessSlantEqual": x"2A7D",
		"LessTilde": x"2272",
		"les": x"2A7D",
		"le": x"2264",
		"lE": x"2266",
		"lfisht": x"297C",
		"lfloor": x"230A",
		"Lfr": x"D835DD0F",
		"lfr": x"D835DD29",
		"lgE": x"2A91",
		"lg": x"2276",
		"lhard": x"21BD",
		"lHar": x"2962",
		"lharul": x"296A",
		"lharu": x"21BC",
		"lhblk": x"2584",
		"LJcy": x"0409",
		"ljcy": x"0459",
		"llarr": x"21C7",
		"llcorner": x"231E",
		"Lleftarrow": x"21DA",
		"llhard": x"296B",
		"lltri": x"25FA",
		"ll": x"226A",
		"Ll": x"22D8",
		"Lmidot": x"013F",
		"lmidot": x"0140",
		"lmoustache": x"23B0",
		"lmoust": x"23B0",
		"lnapprox": x"2A89",
		"lnap": x"2A89",
		"lneqq": x"2268",
		"lneq": x"2A87",
		"lnE": x"2268",
		"lne": x"2A87",
		"lnsim": x"22E6",
		"loang": x"27EC",
		"loarr": x"21FD",
		"lobrk": x"27E6",
		"longleftarrow": x"27F5",
		"LongLeftArrow": x"27F5",
		"Longleftarrow": x"27F8",
		"longleftrightarrow": x"27F7",
		"LongLeftRightArrow": x"27F7",
		"Longleftrightarrow": x"27FA",
		"longmapsto": x"27FC",
		"longrightarrow": x"27F6",
		"LongRightArrow": x"27F6",
		"Longrightarrow": x"27F9",
		"looparrowleft": x"21AB",
		"looparrowright": x"21AC",
		"lopar": x"2985",
		"Lopf": x"D835DD43",
		"lopf": x"D835DD5D",
		"loplus": x"2A2D",
		"lotimes": x"2A34",
		"lowast": x"2217",
		"lowbar": x"005F",
		"LowerLeftArrow": x"2199",
		"LowerRightArrow": x"2198",
		"lozenge": x"25CA",
		"lozf": x"29EB",
		"loz": x"25CA",
		"lparlt": x"2993",
		"lpar": x"0028",
		"lrarr": x"21C6",
		"lrcorner": x"231F",
		"lrhard": x"296D",
		"lrhar": x"21CB",
		"lrm": x"200E",
		"lrtri": x"22BF",
		"lsaquo": x"2039",
		"Lscr": x"2112",
		"lscr": x"D835DCC1",
		"lsh": x"21B0",
		"Lsh": x"21B0",
		"lsime": x"2A8D",
		"lsimg": x"2A8F",
		"lsim": x"2272",
		"lsqb": x"005B",
		"lsquor": x"201A",
		"lsquo": x"2018",
		"Lstrok": x"0141",
		"lstrok": x"0142",
		"ltcc": x"2AA6",
		"ltcir": x"2A79",
		"ltdot": x"22D6",
		"lthree": x"22CB",
		"ltimes": x"22C9",
		"ltlarr": x"2976",
		"ltquest": x"2A7B",
		"ltrie": x"22B4",
		"ltrif": x"25C2",
		"ltri": x"25C3",
		"ltrPar": x"2996",
		"lt": x"003C",
		"LT": x"003C",
		"Lt": x"226A",
		"lurdshar": x"294A",
		"luruhar": x"2966",
		"lvertneqq": x"2268FE00",
		"lvnE": x"2268FE00",
		"macr": x"00AF",
		"male": x"2642",
		"maltese": x"2720",
		"malt": x"2720",
		"mapstodown": x"21A7",
		"mapstoleft": x"21A4",
		"mapsto": x"21A6",
		"mapstoup": x"21A5",
		"map": x"21A6",
		"Map": x"2905",
		"marker": x"25AE",
		"mcomma": x"2A29",
		"Mcy": x"041C",
		"mcy": x"043C",
		"mdash": x"2014",
		"mDDot": x"223A",
		"measuredangle": x"2221",
		"MediumSpace": x"205F",
		"Mellintrf": x"2133",
		"Mfr": x"D835DD10",
		"mfr": x"D835DD2A",
		"mho": x"2127",
		"micro": x"00B5",
		"midast": x"002A",
		"midcir": x"2AF0",
		"middot": x"00B7",
		"mid": x"2223",
		"minusb": x"229F",
		"minusd": x"2238",
		"minusdu": x"2A2A",
		"MinusPlus": x"2213",
		"minus": x"2212",
		"mlcp": x"2ADB",
		"mldr": x"2026",
		"mnplus": x"2213",
		"models": x"22A7",
		"Mopf": x"D835DD44",
		"mopf": x"D835DD5E",
		"mp": x"2213",
		"Mscr": x"2133",
		"mscr": x"D835DCC2",
		"mstpos": x"223E",
		"multimap": x"22B8",
		"mumap": x"22B8",
		"Mu": x"039C",
		"mu": x"03BC",
		"nabla": x"2207",
		"Nacute": x"0143",
		"nacute": x"0144",
		"nang": x"222020D2",
		"napE": x"2A700338",
		"napid": x"224B0338",
		"napos": x"0149",
		"napprox": x"2249",
		"nap": x"2249",
		"naturals": x"2115",
		"natural": x"266E",
		"natur": x"266E",
		"nbsp": x"00A0",
		"nbumpe": x"224F0338",
		"nbump": x"224E0338",
		"ncap": x"2A43",
		"Ncaron": x"0147",
		"ncaron": x"0148",
		"Ncedil": x"0145",
		"ncedil": x"0146",
		"ncongdot": x"2A6D0338",
		"ncong": x"2247",
		"ncup": x"2A42",
		"Ncy": x"041D",
		"ncy": x"043D",
		"ndash": x"2013",
		"nearhk": x"2924",
		"nearrow": x"2197",
		"nearr": x"2197",
		"neArr": x"21D7",
		"nedot": x"22500338",
		"NegativeMediumSpace": x"200B",
		"NegativeThickSpace": x"200B",
		"NegativeThinSpace": x"200B",
		"NegativeVeryThinSpace": x"200B",
		"nequiv": x"2262",
		"nesear": x"2928",
		"nesim": x"22420338",
		"NestedGreaterGreater": x"226B",
		"NestedLessLess": x"226A",
		"ne": x"2260",
		"NewLine": x"000A",
		"nexists": x"2204",
		"nexist": x"2204",
		"Nfr": x"D835DD11",
		"nfr": x"D835DD2B",
		"ngeqq": x"22670338",
		"ngeqslant": x"2A7E0338",
		"ngeq": x"2271",
		"nges": x"2A7E0338",
		"ngE": x"22670338",
		"nge": x"2271",
		"nGg": x"22D90338",
		"ngsim": x"2275",
		"ngtr": x"226F",
		"nGt": x"226B20D2",
		"ngt": x"226F",
		"nGtv": x"226B0338",
		"nharr": x"21AE",
		"nhArr": x"21CE",
		"nhpar": x"2AF2",
		"nisd": x"22FA",
		"nis": x"22FC",
		"ni": x"220B",
		"niv": x"220B",
		"NJcy": x"040A",
		"njcy": x"045A",
		"nlarr": x"219A",
		"nlArr": x"21CD",
		"nldr": x"2025",
		"nleftarrow": x"219A",
		"nLeftarrow": x"21CD",
		"nleftrightarrow": x"21AE",
		"nLeftrightarrow": x"21CE",
		"nleqq": x"22660338",
		"nleqslant": x"2A7D0338",
		"nleq": x"2270",
		"nless": x"226E",
		"nles": x"2A7D0338",
		"nlE": x"22660338",
		"nle": x"2270",
		"nLl": x"22D80338",
		"nlsim": x"2274",
		"nltrie": x"22EC",
		"nltri": x"22EA",
		"nLt": x"226A20D2",
		"nlt": x"226E",
		"nLtv": x"226A0338",
		"nmid": x"2224",
		"NoBreak": x"2060",
		"NonBreakingSpace": x"00A0",
		"Nopf": x"2115",
		"nopf": x"D835DD5F",
		"NotCongruent": x"2262",
		"NotCupCap": x"226D",
		"NotDoubleVerticalBar": x"2226",
		"NotElement": x"2209",
		"NotEqualTilde": x"22420338",
		"NotEqual": x"2260",
		"NotExists": x"2204",
		"NotGreaterEqual": x"2271",
		"NotGreaterFullEqual": x"22670338",
		"NotGreaterGreater": x"226B0338",
		"NotGreaterLess": x"2279",
		"NotGreaterSlantEqual": x"2A7E0338",
		"NotGreaterTilde": x"2275",
		"NotGreater": x"226F",
		"NotHumpDownHump": x"224E0338",
		"NotHumpEqual": x"224F0338",
		"notindot": x"22F50338",
		"notinE": x"22F90338",
		"notin": x"2209",
		"notinva": x"2209",
		"notinvb": x"22F7",
		"notinvc": x"22F6",
		"NotLeftTriangleBar": x"29CF0338",
		"NotLeftTriangleEqual": x"22EC",
		"NotLeftTriangle": x"22EA",
		"NotLessEqual": x"2270",
		"NotLessGreater": x"2278",
		"NotLessLess": x"226A0338",
		"NotLessSlantEqual": x"2A7D0338",
		"NotLessTilde": x"2274",
		"NotLess": x"226E",
		"NotNestedGreaterGreater": x"2AA20338",
		"NotNestedLessLess": x"2AA10338",
		"notni": x"220C",
		"notniva": x"220C",
		"notnivb": x"22FE",
		"notnivc": x"22FD",
		"NotPrecedesEqual": x"2AAF0338",
		"NotPrecedesSlantEqual": x"22E0",
		"NotPrecedes": x"2280",
		"NotReverseElement": x"220C",
		"NotRightTriangleBar": x"29D00338",
		"NotRightTriangleEqual": x"22ED",
		"NotRightTriangle": x"22EB",
		"NotSquareSubsetEqual": x"22E2",
		"NotSquareSubset": x"228F0338",
		"NotSquareSupersetEqual": x"22E3",
		"NotSquareSuperset": x"22900338",
		"NotSubsetEqual": x"2288",
		"NotSubset": x"228220D2",
		"NotSucceedsEqual": x"2AB00338",
		"NotSucceedsSlantEqual": x"22E1",
		"NotSucceedsTilde": x"227F0338",
		"NotSucceeds": x"2281",
		"NotSupersetEqual": x"2289",
		"NotSuperset": x"228320D2",
		"NotTildeEqual": x"2244",
		"NotTildeFullEqual": x"2247",
		"NotTildeTilde": x"2249",
		"NotTilde": x"2241",
		"not": x"00AC",
		"Not": x"2AEC",
		"NotVerticalBar": x"2224",
		"nparallel": x"2226",
		"nparsl": x"2AFD20E5",
		"npart": x"22020338",
		"npar": x"2226",
		"npolint": x"2A14",
		"nprcue": x"22E0",
		"npreceq": x"2AAF0338",
		"nprec": x"2280",
		"npre": x"2AAF0338",
		"npr": x"2280",
		"nrarrc": x"29330338",
		"nrarr": x"219B",
		"nrArr": x"21CF",
		"nrarrw": x"219D0338",
		"nrightarrow": x"219B",
		"nRightarrow": x"21CF",
		"nrtrie": x"22ED",
		"nrtri": x"22EB",
		"nsccue": x"22E1",
		"nsce": x"2AB00338",
		"Nscr": x"D835DCA9",
		"nscr": x"D835DCC3",
		"nsc": x"2281",
		"nshortmid": x"2224",
		"nshortparallel": x"2226",
		"nsimeq": x"2244",
		"nsime": x"2244",
		"nsim": x"2241",
		"nsmid": x"2224",
		"nspar": x"2226",
		"nsqsube": x"22E2",
		"nsqsupe": x"22E3",
		"nsube": x"2288",
		"nsubE": x"2AC50338",
		"nsubseteqq": x"2AC50338",
		"nsubseteq": x"2288",
		"nsubset": x"228220D2",
		"nsub": x"2284",
		"nsucceq": x"2AB00338",
		"nsucc": x"2281",
		"nsupe": x"2289",
		"nsupE": x"2AC60338",
		"nsupseteqq": x"2AC60338",
		"nsupseteq": x"2289",
		"nsupset": x"228320D2",
		"nsup": x"2285",
		"ntgl": x"2279",
		"Ntilde": x"00D1",
		"ntilde": x"00F1",
		"ntlg": x"2278",
		"ntrianglelefteq": x"22EC",
		"ntriangleleft": x"22EA",
		"ntrianglerighteq": x"22ED",
		"ntriangleright": x"22EB",
		"numero": x"2116",
		"numsp": x"2007",
		"num": x"0023",
		"Nu": x"039D",
		"nu": x"03BD",
		"nvap": x"224D20D2",
		"nvdash": x"22AC",
		"nvDash": x"22AD",
		"nVdash": x"22AE",
		"nVDash": x"22AF",
		"nvge": x"226520D2",
		"nvgt": x"003E20D2",
		"nvHarr": x"2904",
		"nvinfin": x"29DE",
		"nvlArr": x"2902",
		"nvle": x"226420D2",
		"nvltrie": x"22B420D2",
		"nvlt": x"003C20D2",
		"nvrArr": x"2903",
		"nvrtrie": x"22B520D2",
		"nvsim": x"223C20D2",
		"nwarhk": x"2923",
		"nwarrow": x"2196",
		"nwarr": x"2196",
		"nwArr": x"21D6",
		"nwnear": x"2927",
		"Oacute": x"00D3",
		"oacute": x"00F3",
		"oast": x"229B",
		"Ocirc": x"00D4",
		"ocirc": x"00F4",
		"ocir": x"229A",
		"Ocy": x"041E",
		"ocy": x"043E",
		"odash": x"229D",
		"Odblac": x"0150",
		"odblac": x"0151",
		"odiv": x"2A38",
		"odot": x"2299",
		"odsold": x"29BC",
		"OElig": x"0152",
		"oelig": x"0153",
		"ofcir": x"29BF",
		"Ofr": x"D835DD12",
		"ofr": x"D835DD2C",
		"ogon": x"02DB",
		"Ograve": x"00D2",
		"ograve": x"00F2",
		"ogt": x"29C1",
		"ohbar": x"29B5",
		"ohm": x"03A9",
		"oint": x"222E",
		"olarr": x"21BA",
		"olcir": x"29BE",
		"olcross": x"29BB",
		"oline": x"203E",
		"olt": x"29C0",
		"Omacr": x"014C",
		"omacr": x"014D",
		"Omega": x"03A9",
		"omega": x"03C9",
		"Omicron": x"039F",
		"omicron": x"03BF",
		"omid": x"29B6",
		"ominus": x"2296",
		"Oopf": x"D835DD46",
		"oopf": x"D835DD60",
		"opar": x"29B7",
		"OpenCurlyDoubleQuote": x"201C",
		"OpenCurlyQuote": x"2018",
		"operp": x"29B9",
		"oplus": x"2295",
		"orarr": x"21BB",
		"orderof": x"2134",
		"order": x"2134",
		"ordf": x"00AA",
		"ordm": x"00BA",
		"ord": x"2A5D",
		"origof": x"22B6",
		"oror": x"2A56",
		"orslope": x"2A57",
		"or": x"2228",
		"Or": x"2A54",
		"orv": x"2A5B",
		"oscr": x"2134",
		"Oscr": x"D835DCAA",
		"Oslash": x"00D8",
		"oslash": x"00F8",
		"osol": x"2298",
		"oS": x"24C8",
		"Otilde": x"00D5",
		"otilde": x"00F5",
		"otimesas": x"2A36",
		"otimes": x"2297",
		"Otimes": x"2A37",
		"Ouml": x"00D6",
		"ouml": x"00F6",
		"ovbar": x"233D",
		"OverBar": x"203E",
		"OverBrace": x"23DE",
		"OverBracket": x"23B4",
		"OverParenthesis": x"23DC",
		"parallel": x"2225",
		"para": x"00B6",
		"parsim": x"2AF3",
		"parsl": x"2AFD",
		"PartialD": x"2202",
		"part": x"2202",
		"par": x"2225",
		"Pcy": x"041F",
		"pcy": x"043F",
		"percnt": x"0025",
		"period": x"002E",
		"permil": x"2030",
		"perp": x"22A5",
		"pertenk": x"2031",
		"Pfr": x"D835DD13",
		"pfr": x"D835DD2D",
		"Phi": x"03A6",
		"phi": x"03C6",
		"phiv": x"03D5",
		"phmmat": x"2133",
		"phone": x"260E",
		"pitchfork": x"22D4",
		"Pi": x"03A0",
		"pi": x"03C0",
		"piv": x"03D6",
		"planckh": x"210E",
		"planck": x"210F",
		"plankv": x"210F",
		"plusacir": x"2A23",
		"plusb": x"229E",
		"pluscir": x"2A22",
		"plusdo": x"2214",
		"plusdu": x"2A25",
		"pluse": x"2A72",
		"PlusMinus": x"00B1",
		"plusmn": x"00B1",
		"plussim": x"2A26",
		"plustwo": x"2A27",
		"plus": x"002B",
		"pm": x"00B1",
		"Poincareplane": x"210C",
		"pointint": x"2A15",
		"Popf": x"2119",
		"popf": x"D835DD61",
		"pound": x"00A3",
		"prap": x"2AB7",
		"prcue": x"227C",
		"precapprox": x"2AB7",
		"preccurlyeq": x"227C",
		"PrecedesEqual": x"2AAF",
		"PrecedesSlantEqual": x"227C",
		"PrecedesTilde": x"227E",
		"Precedes": x"227A",
		"preceq": x"2AAF",
		"precnapprox": x"2AB9",
		"precneqq": x"2AB5",
		"precnsim": x"22E8",
		"precsim": x"227E",
		"prec": x"227A",
		"pre": x"2AAF",
		"prE": x"2AB3",
		"primes": x"2119",
		"prime": x"2032",
		"Prime": x"2033",
		"prnap": x"2AB9",
		"prnE": x"2AB5",
		"prnsim": x"22E8",
		"prod": x"220F",
		"Product": x"220F",
		"profalar": x"232E",
		"profline": x"2312",
		"profsurf": x"2313",
		"Proportional": x"221D",
		"Proportion": x"2237",
		"propto": x"221D",
		"prop": x"221D",
		"prsim": x"227E",
		"pr": x"227A",
		"Pr": x"2ABB",
		"prurel": x"22B0",
		"Pscr": x"D835DCAB",
		"pscr": x"D835DCC5",
		"Psi": x"03A8",
		"psi": x"03C8",
		"puncsp": x"2008",
		"Qfr": x"D835DD14",
		"qfr": x"D835DD2E",
		"qint": x"2A0C",
		"Qopf": x"211A",
		"qopf": x"D835DD62",
		"qprime": x"2057",
		"Qscr": x"D835DCAC",
		"qscr": x"D835DCC6",
		"quaternions": x"210D",
		"quatint": x"2A16",
		"questeq": x"225F",
		"quest": x"003F",
		"quot": x"0022",
		"QUOT": x"0022",
		"rAarr": x"21DB",
		"race": x"223D0331",
		"Racute": x"0154",
		"racute": x"0155",
		"radic": x"221A",
		"raemptyv": x"29B3",
		"rangd": x"2992",
		"range": x"29A5",
		"rangle": x"27E9",
		"rang": x"27E9",
		"Rang": x"27EB",
		"raquo": x"00BB",
		"rarrap": x"2975",
		"rarrbfs": x"2920",
		"rarrb": x"21E5",
		"rarrc": x"2933",
		"rarrfs": x"291E",
		"rarrhk": x"21AA",
		"rarrlp": x"21AC",
		"rarrpl": x"2945",
		"rarrsim": x"2974",
		"rarrtl": x"21A3",
		"Rarrtl": x"2916",
		"rarr": x"2192",
		"Rarr": x"21A0",
		"rArr": x"21D2",
		"rarrw": x"219D",
		"ratail": x"291A",
		"rAtail": x"291C",
		"rationals": x"211A",
		"ratio": x"2236",
		"rbarr": x"290D",
		"rBarr": x"290F",
		"RBarr": x"2910",
		"rbbrk": x"2773",
		"rbrace": x"007D",
		"rbrack": x"005D",
		"rbrke": x"298C",
		"rbrksld": x"298E",
		"rbrkslu": x"2990",
		"Rcaron": x"0158",
		"rcaron": x"0159",
		"Rcedil": x"0156",
		"rcedil": x"0157",
		"rceil": x"2309",
		"rcub": x"007D",
		"Rcy": x"0420",
		"rcy": x"0440",
		"rdca": x"2937",
		"rdldhar": x"2969",
		"rdquor": x"201D",
		"rdquo": x"201D",
		"rdsh": x"21B3",
		"realine": x"211B",
		"realpart": x"211C",
		"reals": x"211D",
		"real": x"211C",
		"rect": x"25AD",
		"reg": x"00AE",
		"REG": x"00AE",
		"Re": x"211C",
		"ReverseElement": x"220B",
		"ReverseEquilibrium": x"21CB",
		"ReverseUpEquilibrium": x"296F",
		"rfisht": x"297D",
		"rfloor": x"230B",
		"Rfr": x"211C",
		"rfr": x"D835DD2F",
		"rhard": x"21C1",
		"rHar": x"2964",
		"rharul": x"296C",
		"rharu": x"21C0",
		"Rho": x"03A1",
		"rho": x"03C1",
		"rhov": x"03F1",
		"RightAngleBracket": x"27E9",
		"RightArrowBar": x"21E5",
		"RightArrowLeftArrow": x"21C4",
		"rightarrowtail": x"21A3",
		"rightarrow": x"2192",
		"RightArrow": x"2192",
		"Rightarrow": x"21D2",
		"RightCeiling": x"2309",
		"RightDoubleBracket": x"27E7",
		"RightDownTeeVector": x"295D",
		"RightDownVectorBar": x"2955",
		"RightDownVector": x"21C2",
		"RightFloor": x"230B",
		"rightharpoondown": x"21C1",
		"rightharpoonup": x"21C0",
		"rightleftarrows": x"21C4",
		"rightleftharpoons": x"21CC",
		"rightrightarrows": x"21C9",
		"rightsquigarrow": x"219D",
		"RightTeeArrow": x"21A6",
		"RightTee": x"22A2",
		"RightTeeVector": x"295B",
		"rightthreetimes": x"22CC",
		"RightTriangleBar": x"29D0",
		"RightTriangleEqual": x"22B5",
		"RightTriangle": x"22B3",
		"RightUpDownVector": x"294F",
		"RightUpTeeVector": x"295C",
		"RightUpVectorBar": x"2954",
		"RightUpVector": x"21BE",
		"RightVectorBar": x"2953",
		"RightVector": x"21C0",
		"ring": x"02DA",
		"risingdotseq": x"2253",
		"rlarr": x"21C4",
		"rlhar": x"21CC",
		"rlm": x"200F",
		"rmoustache": x"23B1",
		"rmoust": x"23B1",
		"rnmid": x"2AEE",
		"roang": x"27ED",
		"roarr": x"21FE",
		"robrk": x"27E7",
		"ropar": x"2986",
		"Ropf": x"211D",
		"ropf": x"D835DD63",
		"roplus": x"2A2E",
		"rotimes": x"2A35",
		"RoundImplies": x"2970",
		"rpargt": x"2994",
		"rpar": x"0029",
		"rppolint": x"2A12",
		"rrarr": x"21C9",
		"Rrightarrow": x"21DB",
		"rsaquo": x"203A",
		"Rscr": x"211B",
		"rscr": x"D835DCC7",
		"rsh": x"21B1",
		"Rsh": x"21B1",
		"rsqb": x"005D",
		"rsquor": x"2019",
		"rsquo": x"2019",
		"rthree": x"22CC",
		"rtimes": x"22CA",
		"rtrie": x"22B5",
		"rtrif": x"25B8",
		"rtriltri": x"29CE",
		"rtri": x"25B9",
		"RuleDelayed": x"29F4",
		"ruluhar": x"2968",
		"rx": x"211E",
		"Sacute": x"015A",
		"sacute": x"015B",
		"sbquo": x"201A",
		"scap": x"2AB8",
		"Scaron": x"0160",
		"scaron": x"0161",
		"sccue": x"227D",
		"Scedil": x"015E",
		"scedil": x"015F",
		"sce": x"2AB0",
		"scE": x"2AB4",
		"Scirc": x"015C",
		"scirc": x"015D",
		"scnap": x"2ABA",
		"scnE": x"2AB6",
		"scnsim": x"22E9",
		"scpolint": x"2A13",
		"scsim": x"227F",
		"sc": x"227B",
		"Sc": x"2ABC",
		"Scy": x"0421",
		"scy": x"0441",
		"sdotb": x"22A1",
		"sdote": x"2A66",
		"sdot": x"22C5",
		"searhk": x"2925",
		"searrow": x"2198",
		"searr": x"2198",
		"seArr": x"21D8",
		"sect": x"00A7",
		"semi": x"003B",
		"seswar": x"2929",
		"setminus": x"2216",
		"setmn": x"2216",
		"sext": x"2736",
		"sfrown": x"2322",
		"Sfr": x"D835DD16",
		"sfr": x"D835DD30",
		"sharp": x"266F",
		"SHCHcy": x"0429",
		"shchcy": x"0449",
		"SHcy": x"0428",
		"shcy": x"0448",
		"ShortDownArrow": x"2193",
		"ShortLeftArrow": x"2190",
		"shortmid": x"2223",
		"shortparallel": x"2225",
		"ShortRightArrow": x"2192",
		"ShortUpArrow": x"2191",
		"shy": x"00AD",
		"sigmaf": x"03C2",
		"Sigma": x"03A3",
		"sigma": x"03C3",
		"sigmav": x"03C2",
		"simdot": x"2A6A",
		"simeq": x"2243",
		"sime": x"2243",
		"simgE": x"2AA0",
		"simg": x"2A9E",
		"simlE": x"2A9F",
		"siml": x"2A9D",
		"simne": x"2246",
		"simplus": x"2A24",
		"simrarr": x"2972",
		"sim": x"223C",
		"slarr": x"2190",
		"SmallCircle": x"2218",
		"smallsetminus": x"2216",
		"smashp": x"2A33",
		"smeparsl": x"29E4",
		"smid": x"2223",
		"smile": x"2323",
		"smtes": x"2AACFE00",
		"smte": x"2AAC",
		"smt": x"2AAA",
		"SOFTcy": x"042C",
		"softcy": x"044C",
		"solbar": x"233F",
		"solb": x"29C4",
		"sol": x"002F",
		"Sopf": x"D835DD4A",
		"sopf": x"D835DD64",
		"spades": x"2660",
		"spadesuit": x"2660",
		"spar": x"2225",
		"sqcaps": x"2293FE00",
		"sqcap": x"2293",
		"sqcups": x"2294FE00",
		"sqcup": x"2294",
		"Sqrt": x"221A",
		"sqsube": x"2291",
		"sqsubseteq": x"2291",
		"sqsubset": x"228F",
		"sqsub": x"228F",
		"sqsupe": x"2292",
		"sqsupseteq": x"2292",
		"sqsupset": x"2290",
		"sqsup": x"2290",
		"SquareIntersection": x"2293",
		"SquareSubsetEqual": x"2291",
		"SquareSubset": x"228F",
		"SquareSupersetEqual": x"2292",
		"SquareSuperset": x"2290",
		"square": x"25A1",
		"Square": x"25A1",
		"SquareUnion": x"2294",
		"squarf": x"25AA",
		"squf": x"25AA",
		"squ": x"25A1",
		"srarr": x"2192",
		"Sscr": x"D835DCAE",
		"sscr": x"D835DCC8",
		"ssetmn": x"2216",
		"ssmile": x"2323",
		"sstarf": x"22C6",
		"starf": x"2605",
		"Star": x"22C6",
		"star": x"2606",
		"straightepsilon": x"03F5",
		"straightphi": x"03D5",
		"strns": x"00AF",
		"subdot": x"2ABD",
		"subedot": x"2AC3",
		"sube": x"2286",
		"subE": x"2AC5",
		"submult": x"2AC1",
		"subne": x"228A",
		"subnE": x"2ACB",
		"subplus": x"2ABF",
		"subrarr": x"2979",
		"subseteqq": x"2AC5",
		"subseteq": x"2286",
		"SubsetEqual": x"2286",
		"subsetneqq": x"2ACB",
		"subsetneq": x"228A",
		"subset": x"2282",
		"Subset": x"22D0",
		"subsim": x"2AC7",
		"subsub": x"2AD5",
		"subsup": x"2AD3",
		"sub": x"2282",
		"Sub": x"22D0",
		"succapprox": x"2AB8",
		"succcurlyeq": x"227D",
		"SucceedsEqual": x"2AB0",
		"SucceedsSlantEqual": x"227D",
		"SucceedsTilde": x"227F",
		"Succeeds": x"227B",
		"succeq": x"2AB0",
		"succnapprox": x"2ABA",
		"succneqq": x"2AB6",
		"succnsim": x"22E9",
		"succsim": x"227F",
		"succ": x"227B",
		"SuchThat": x"220B",
		"sum": x"2211",
		"Sum": x"2211",
		"sung": x"266A",
		"sup1": x"00B9",
		"sup2": x"00B2",
		"sup3": x"00B3",
		"supdot": x"2ABE",
		"supdsub": x"2AD8",
		"supedot": x"2AC4",
		"SupersetEqual": x"2287",
		"Superset": x"2283",
		"supe": x"2287",
		"supE": x"2AC6",
		"suphsol": x"27C9",
		"suphsub": x"2AD7",
		"suplarr": x"297B",
		"supmult": x"2AC2",
		"supne": x"228B",
		"supnE": x"2ACC",
		"supplus": x"2AC0",
		"supseteqq": x"2AC6",
		"supseteq": x"2287",
		"supsetneqq": x"2ACC",
		"supsetneq": x"228B",
		"supset": x"2283",
		"Supset": x"22D1",
		"supsim": x"2AC8",
		"supsub": x"2AD4",
		"supsup": x"2AD6",
		"sup": x"2283",
		"Sup": x"22D1",
		"swarhk": x"2926",
		"swarrow": x"2199",
		"swarr": x"2199",
		"swArr": x"21D9",
		"swnwar": x"292A",
		"szlig": x"00DF",
		"Tab": x"0009",
		"target": x"2316",
		"Tau": x"03A4",
		"tau": x"03C4",
		"tbrk": x"23B4",
		"Tcaron": x"0164",
		"tcaron": x"0165",
		"Tcedil": x"0162",
		"tcedil": x"0163",
		"Tcy": x"0422",
		"tcy": x"0442",
		"tdot": x"20DB",
		"telrec": x"2315",
		"Tfr": x"D835DD17",
		"tfr": x"D835DD31",
		"there4": x"2234",
		"therefore": x"2234",
		"Therefore": x"2234",
		"thetasym": x"03D1",
		"Theta": x"0398",
		"theta": x"03B8",
		"thetav": x"03D1",
		"thickapprox": x"2248",
		"thicksim": x"223C",
		"ThickSpace": x"205F200A",
		"ThinSpace": x"2009",
		"thinsp": x"2009",
		"thkap": x"2248",
		"thksim": x"223C",
		"THORN": x"00DE",
		"thorn": x"00FE",
		"TildeEqual": x"2243",
		"TildeFullEqual": x"2245",
		"TildeTilde": x"2248",
		"tilde": x"02DC",
		"Tilde": x"223C",
		"timesbar": x"2A31",
		"timesb": x"22A0",
		"timesd": x"2A30",
		"times": x"00D7",
		"tint": x"222D",
		"toea": x"2928",
		"topbot": x"2336",
		"topcir": x"2AF1",
		"topfork": x"2ADA",
		"Topf": x"D835DD4B",
		"topf": x"D835DD65",
		"top": x"22A4",
		"tosa": x"2929",
		"tprime": x"2034",
		"trade": x"2122",
		"TRADE": x"2122",
		"triangledown": x"25BF",
		"trianglelefteq": x"22B4",
		"triangleleft": x"25C3",
		"triangleq": x"225C",
		"trianglerighteq": x"22B5",
		"triangleright": x"25B9",
		"triangle": x"25B5",
		"tridot": x"25EC",
		"trie": x"225C",
		"triminus": x"2A3A",
		"TripleDot": x"20DB",
		"triplus": x"2A39",
		"trisb": x"29CD",
		"tritime": x"2A3B",
		"trpezium": x"23E2",
		"Tscr": x"D835DCAF",
		"tscr": x"D835DCC9",
		"TScy": x"0426",
		"tscy": x"0446",
		"TSHcy": x"040B",
		"tshcy": x"045B",
		"Tstrok": x"0166",
		"tstrok": x"0167",
		"twixt": x"226C",
		"twoheadleftarrow": x"219E",
		"twoheadrightarrow": x"21A0",
		"Uacute": x"00DA",
		"uacute": x"00FA",
		"Uarrocir": x"2949",
		"uarr": x"2191",
		"Uarr": x"219F",
		"uArr": x"21D1",
		"Ubrcy": x"040E",
		"ubrcy": x"045E",
		"Ubreve": x"016C",
		"ubreve": x"016D",
		"Ucirc": x"00DB",
		"ucirc": x"00FB",
		"Ucy": x"0423",
		"ucy": x"0443",
		"udarr": x"21C5",
		"Udblac": x"0170",
		"udblac": x"0171",
		"udhar": x"296E",
		"ufisht": x"297E",
		"Ufr": x"D835DD18",
		"ufr": x"D835DD32",
		"Ugrave": x"00D9",
		"ugrave": x"00F9",
		"uharl": x"21BF",
		"uharr": x"21BE",
		"uHar": x"2963",
		"uhblk": x"2580",
		"ulcorner": x"231C",
		"ulcorn": x"231C",
		"ulcrop": x"230F",
		"ultri": x"25F8",
		"Umacr": x"016A",
		"umacr": x"016B",
		"uml": x"00A8",
		"UnderBar": x"005F",
		"UnderBrace": x"23DF",
		"UnderBracket": x"23B5",
		"UnderParenthesis": x"23DD",
		"UnionPlus": x"228E",
		"Union": x"22C3",
		"Uogon": x"0172",
		"uogon": x"0173",
		"Uopf": x"D835DD4C",
		"uopf": x"D835DD66",
		"UpArrowBar": x"2912",
		"UpArrowDownArrow": x"21C5",
		"uparrow": x"2191",
		"UpArrow": x"2191",
		"Uparrow": x"21D1",
		"updownarrow": x"2195",
		"UpDownArrow": x"2195",
		"Updownarrow": x"21D5",
		"UpEquilibrium": x"296E",
		"upharpoonleft": x"21BF",
		"upharpoonright": x"21BE",
		"uplus": x"228E",
		"UpperLeftArrow": x"2196",
		"UpperRightArrow": x"2197",
		"upsih": x"03D2",
		"Upsilon": x"03A5",
		"upsilon": x"03C5",
		"upsi": x"03C5",
		"Upsi": x"03D2",
		"UpTeeArrow": x"21A5",
		"UpTee": x"22A5",
		"upuparrows": x"21C8",
		"urcorner": x"231D",
		"urcorn": x"231D",
		"urcrop": x"230E",
		"Uring": x"016E",
		"uring": x"016F",
		"urtri": x"25F9",
		"Uscr": x"D835DCB0",
		"uscr": x"D835DCCA",
		"utdot": x"22F0",
		"Utilde": x"0168",
		"utilde": x"0169",
		"utrif": x"25B4",
		"utri": x"25B5",
		"uuarr": x"21C8",
		"Uuml": x"00DC",
		"uuml": x"00FC",
		"uwangle": x"29A7",
		"vangrt": x"299C",
		"varepsilon": x"03F5",
		"varkappa": x"03F0",
		"varnothing": x"2205",
		"varphi": x"03D5",
		"varpi": x"03D6",
		"varpropto": x"221D",
		"varrho": x"03F1",
		"varr": x"2195",
		"vArr": x"21D5",
		"varsigma": x"03C2",
		"varsubsetneqq": x"2ACBFE00",
		"varsubsetneq": x"228AFE00",
		"varsupsetneqq": x"2ACCFE00",
		"varsupsetneq": x"228BFE00",
		"vartheta": x"03D1",
		"vartriangleleft": x"22B2",
		"vartriangleright": x"22B3",
		"vBar": x"2AE8",
		"Vbar": x"2AEB",
		"vBarv": x"2AE9",
		"Vcy": x"0412",
		"vcy": x"0432",
		"Vdashl": x"2AE6",
		"vdash": x"22A2",
		"vDash": x"22A8",
		"Vdash": x"22A9",
		"VDash": x"22AB",
		"veebar": x"22BB",
		"veeeq": x"225A",
		"vee": x"2228",
		"Vee": x"22C1",
		"vellip": x"22EE",
		"verbar": x"007C",
		"Verbar": x"2016",
		"VerticalBar": x"2223",
		"VerticalLine": x"007C",
		"VerticalSeparator": x"2758",
		"VerticalTilde": x"2240",
		"vert": x"007C",
		"Vert": x"2016",
		"VeryThinSpace": x"200A",
		"Vfr": x"D835DD19",
		"vfr": x"D835DD33",
		"vltri": x"22B2",
		"vnsub": x"228220D2",
		"vnsup": x"228320D2",
		"Vopf": x"D835DD4D",
		"vopf": x"D835DD67",
		"vprop": x"221D",
		"vrtri": x"22B3",
		"Vscr": x"D835DCB1",
		"vscr": x"D835DCCB",
		"vsubne": x"228AFE00",
		"vsubnE": x"2ACBFE00",
		"vsupne": x"228BFE00",
		"vsupnE": x"2ACCFE00",
		"Vvdash": x"22AA",
		"vzigzag": x"299A",
		"Wcirc": x"0174",
		"wcirc": x"0175",
		"wedbar": x"2A5F",
		"wedgeq": x"2259",
		"wedge": x"2227",
		"Wedge": x"22C0",
		"weierp": x"2118",
		"Wfr": x"D835DD1A",
		"wfr": x"D835DD34",
		"Wopf": x"D835DD4E",
		"wopf": x"D835DD68",
		"wp": x"2118",
		"wreath": x"2240",
		"wr": x"2240",
		"Wscr": x"D835DCB2",
		"wscr": x"D835DCCC",
		"xcap": x"22C2",
		"xcirc": x"25EF",
		"xcup": x"22C3",
		"xdtri": x"25BD",
		"Xfr": x"D835DD1B",
		"xfr": x"D835DD35",
		"xharr": x"27F7",
		"xhArr": x"27FA",
		"Xi": x"039E",
		"xi": x"03BE",
		"xlarr": x"27F5",
		"xlArr": x"27F8",
		"xmap": x"27FC",
		"xnis": x"22FB",
		"xodot": x"2A00",
		"Xopf": x"D835DD4F",
		"xopf": x"D835DD69",
		"xoplus": x"2A01",
		"xotime": x"2A02",
		"xrarr": x"27F6",
		"xrArr": x"27F9",
		"Xscr": x"D835DCB3",
		"xscr": x"D835DCCD",
		"xsqcup": x"2A06",
		"xuplus": x"2A04",
		"xutri": x"25B3",
		"xvee": x"22C1",
		"xwedge": x"22C0",
		"Yacute": x"00DD",
		"yacute": x"00FD",
		"YAcy": x"042F",
		"yacy": x"044F",
		"Ycirc": x"0176",
		"ycirc": x"0177",
		"Ycy": x"042B",
		"ycy": x"044B",
		"yen": x"00A5",
		"Yfr": x"D835DD1C",
		"yfr": x"D835DD36",
		"YIcy": x"0407",
		"yicy": x"0457",
		"Yopf": x"D835DD50",
		"yopf": x"D835DD6A",
		"Yscr": x"D835DCB4",
		"yscr": x"D835DCCE",
		"YUcy": x"042E",
		"yucy": x"044E",
		"yuml": x"00FF",
		"Yuml": x"0178",
		"Zacute": x"0179",
		"zacute": x"017A",
		"Zcaron": x"017D",
		"zcaron": x"017E",
		"Zcy": x"0417",
		"zcy": x"0437",
		"Zdot": x"017B",
		"zdot": x"017C",
		"zeetrf": x"2128",
		"ZeroWidthSpace": x"200B",
		"Zeta": x"0396",
		"zeta": x"03B6",
		"Zfr": x"2128",
		"zfr": x"D835DD37",
		"ZHcy": x"0416",
		"zhcy": x"0436",
		"zigrarr": x"21DD",
		"Zopf": x"2124",
		"zopf": x"D835DD6B",
		"Zscr": x"D835DCB5",
		"zscr": x"D835DCCF",
		"zwj": x"200D",
		"zwnj": x"200C"
	];
}
